Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicMenuUI.ChangeHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicMenuUI.ChangeHandler

All Implemented Interfaces:
  EventListener, ChangeListener

Enclosing class:
  BasicMenuUI

    public class BasicMenuUI.ChangeHandler

extends Object
implements ChangeListener

As of Java 2 platform 1.4, this previously undocumented class is now obsolete. KeyBindings are now managed by the popup menu.

Field Summary
`boolean` | `isSelected`
`JMenu` | `menu`
`BasicMenuUI` | `ui`
`Component` | `wasFocused`

Constructor Summary
`BasicMenuUI.ChangeHandler(JMenu m, BasicMenuUI ui)`

Method Summary
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### menu

    public JMenu menu

### ui

    public BasicMenuUI ui

### isSelected

    public boolean isSelected

### wasFocused

    public Component wasFocused

Constructor Detail

### BasicMenuUI.ChangeHandler

    public BasicMenuUI.ChangeHandler(JMenu m,
                                     BasicMenuUI ui)

Method Detail

### stateChanged

    public void stateChanged(ChangeEvent e)

  Description copied from interface: `ChangeListener`
  Invoked when the target of the listener has changed its state.

  Specified by:
    `stateChanged` in interface `ChangeListener`
  Parameters:
    `e` - a ChangeEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.